ru.yandex.clickhouse.response

## Class ClickHouseResultSet

- java.lang.Object
- - ru.yandex.clickhouse.response.AbstractResultSet
  - - ru.yandex.clickhouse.response.ClickHouseResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class ClickHouseResultSet
    extends AbstractResultSet

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseResultSet(InputStream is, int bufferSize, String db, String table, ClickHouseStatement statement, TimeZone timezone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`Array` `getArray(int columnIndex)`
`Array` `getArray(String column)`
`BigDecimal` `getBigDecimal(int columnIndex)`
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`BigDecimal` `getBigDecimal(String columnLabel)`
`BigDecimal` `getBigDecimal(String columnLabel, int scale)`
`boolean` `getBoolean(int colNum)`
`boolean` `getBoolean(String column)`
`byte` `getByte(int colNum)`
`byte` `getByte(String column)`
`byte[]` `getBytes(int colNum)`
`byte[]` `getBytes(String column)`
`Map<String,Integer>` `getCol()`
`String[]` `getColumnNames()`
`Date` `getDate(int columnIndex)`
`Date` `getDate(String columnLabel)`
`String` `getDb()`
`double` `getDouble(int columnIndex)`
`double` `getDouble(String columnLabel)`
`float` `getFloat(int columnIndex)`
`float` `getFloat(String columnLabel)`
`int` `getInt(int colNum)`
`int` `getInt(String column)`
`long` `getLong(int colNum)`
`long` `getLong(String column)`
`long[]` `getLongArray(int colNum)`
`long[]` `getLongArray(String column)`
`ResultSetMetaData` `getMetaData()`
`Object` `getObject(int columnIndex)`
`<T> T` `getObject(int columnIndex, Class<T> type)`
`Object` `getObject(String columnLabel)`
`<T> T` `getObject(String columnLabel, Class<T> type)`
`int` `getRow()`
`short` `getShort(int colNum)`
`short` `getShort(String column)`
`Statement` `getStatement()`
`String` `getString(int colNum)`
`String` `getString(String column)`
`String` `getTable()`
`Time` `getTime(int columnIndex)`
`Time` `getTime(String columnLabel)`
`Timestamp` `getTimestamp(int columnIndex)`
`Timestamp` `getTimestamp(String column)`
`Long` `getTimestampAsLong(int colNum)`
`Long` `getTimestampAsLong(String column)`
`int` `getType()`
`ByteFragment[]` `getValues()`
`boolean` `hasNext()`
`boolean` `next()`
`void` `setFetchDirection(int direction)`
`void` `setFetchSize(int rows)`
`void` `setMaxRows(int maxRows)`
`String` `toString()`
`boolean` `wasNull()`

### Methods inherited from class ru.yandex.clickhouse.response.AbstractResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, findColumn, first, getAsciiStream, getAsciiStream, getBinaryStream, getBinaryStream, getBlob, getBlob, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getFetchDirection, getFetchSize, getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRef, getRef, getRowId, getRowId, getSQLXML, getSQLXML, getTime, getTime, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Constructor Detail

#### ClickHouseResultSet

    public ClickHouseResultSet(InputStream is,
                               int bufferSize,
                               String db,
                               String table,
                               ClickHouseStatement statement,
                               TimeZone timezone)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### hasNext

    public boolean hasNext()
                    throws SQLException

Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `AbstractResultSet`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `ResultSet`
Overrides:
  `close` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getColumnNames

    public String[] getColumnNames()

#### getCol

    public Map<String,Integer> getCol()

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Overrides:
  `getMetaData` in class `AbstractResultSet`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `ResultSet`
Overrides:
  `wasNull` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(String column)

Specified by:
  `getInt` in interface `ResultSet`
Overrides:
  `getInt` in class `AbstractResultSet`

#### getBoolean

    public boolean getBoolean(String column)

Specified by:
  `getBoolean` in interface `ResultSet`
Overrides:
  `getBoolean` in class `AbstractResultSet`

#### getLong

    public long getLong(String column)

Specified by:
  `getLong` in interface `ResultSet`
Overrides:
  `getLong` in class `AbstractResultSet`

#### getString

    public String getString(String column)

Specified by:
  `getString` in interface `ResultSet`
Overrides:
  `getString` in class `AbstractResultSet`

#### getBytes

    public byte[] getBytes(String column)

Specified by:
  `getBytes` in interface `ResultSet`
Overrides:
  `getBytes` in class `AbstractResultSet`

#### getTimestampAsLong

    public Long getTimestampAsLong(String column)

#### getTimestamp

    public Timestamp getTimestamp(String column)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Overrides:
  `getTimestamp` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(String column)

Specified by:
  `getShort` in interface `ResultSet`
Overrides:
  `getShort` in class `AbstractResultSet`

#### getByte

    public byte getByte(String column)

Specified by:
  `getByte` in interface `ResultSet`
Overrides:
  `getByte` in class `AbstractResultSet`

#### getLongArray

    public long[] getLongArray(String column)

Overrides:
  `getLongArray` in class `AbstractResultSet`

#### getArray

    public Array getArray(int columnIndex)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Overrides:
  `getArray` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getArray

    public Array getArray(String column)
                   throws SQLException

Specified by:
  `getArray` in interface `ResultSet`
Overrides:
  `getArray` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String columnLabel)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Overrides:
  `getDouble` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String columnLabel)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Overrides:
  `getFloat` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String columnLabel)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String columnLabel)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String columnLabel)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Overrides:
  `getObject` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(int colNum)

Specified by:
  `getString` in interface `ResultSet`
Overrides:
  `getString` in class `AbstractResultSet`

#### getInt

    public int getInt(int colNum)

Specified by:
  `getInt` in interface `ResultSet`
Overrides:
  `getInt` in class `AbstractResultSet`

#### getBoolean

    public boolean getBoolean(int colNum)

Specified by:
  `getBoolean` in interface `ResultSet`
Overrides:
  `getBoolean` in class `AbstractResultSet`

#### getLong

    public long getLong(int colNum)

Specified by:
  `getLong` in interface `ResultSet`
Overrides:
  `getLong` in class `AbstractResultSet`

#### getBytes

    public byte[] getBytes(int colNum)

Specified by:
  `getBytes` in interface `ResultSet`
Overrides:
  `getBytes` in class `AbstractResultSet`

#### getTimestampAsLong

    public Long getTimestampAsLong(int colNum)

#### getTimestamp

    public Timestamp getTimestamp(int columnIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `ResultSet`
Overrides:
  `getTimestamp` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int colNum)

Specified by:
  `getShort` in interface `ResultSet`
Overrides:
  `getShort` in class `AbstractResultSet`

#### getByte

    public byte getByte(int colNum)

Specified by:
  `getByte` in interface `ResultSet`
Overrides:
  `getByte` in class `AbstractResultSet`

#### getLongArray

    public long[] getLongArray(int colNum)

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Overrides:
  `getFloat` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Overrides:
  `getDouble` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()

Specified by:
  `getStatement` in interface `ResultSet`
Overrides:
  `getStatement` in class `AbstractResultSet`

#### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Overrides:
  `getObject` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Overrides:
  `getType` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Throws:
  `SQLException`

#### getDb

    public String getDb()

#### getTable

    public String getTable()

#### setMaxRows

    public void setMaxRows(int maxRows)

#### getObject

    public <T> T getObject(int columnIndex,
                           Class<T> type)
                    throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject(String columnLabel,
                           Class<T> type)
                    throws SQLException

Throws:
  `SQLException`

#### getValues

    public ByteFragment[] getValues()

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel)

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `AbstractResultSet`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `AbstractResultSet`

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnLabel,
                                    int scale)

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `AbstractResultSet`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `AbstractResultSet`

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

Specified by:
  `setFetchDirection` in interface `ResultSet`
Overrides:
  `setFetchDirection` in class `AbstractResultSet`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

Specified by:
  `setFetchSize` in interface `ResultSet`
Overrides:
  `setFetchSize` in class `AbstractResultSet`
Throws:
  `SQLException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`